Summary: An X Window System based tool for creating CDs.
Name: xcdroast
Version: 0.98a14
Release: 3.AS21.1
License: GPL
Group: Applications/Multimedia
Source: http://prdownloads.sourceforge.net/xcdroast/xcdroast-0.98alpha14.tar.gz
Source1: xcdroast.desktop
Source2: xcdroast.pamd
Source3: xcdroast.consapps
#Source4: language.def
#Source5: langhelp.def
Url: http://www.xcdroast.org/
BuildRoot: /var/tmp/%{name}-root
Requires: cdrecord >= 2.0, mkisofs >= 2.0
Requires: cdda2wav >= 2.0, usermode >= 1.42-1
BuildRequires: gtk+-devel >= 1.2.3, gdk-pixbuf-devel >= 0.8.0
Patch1: dvd_atip.patch
Patch2: error_write_tracks.patch
Patch3: debian_scan.patch
Patch4: cdrtools201a17.patch


%description
X-CD-Roast provides a GUI interface for commands like cdrecord and
mkisofs. X-CD-Roast includes a self-explanatory X11 user interface,
automatic SCSI and IDE hardware setup, support for mastering of new
ISO9660 data CDs, support for production of new audio CDs, fast
copying of CDs without hard disk buffering, and a logfile option.

%prep
%setup -q -n xcdroast-0.98alpha14
cd src
%patch1 -p0
%patch2 -p0
%patch3 -p0
%patch4 -p0
cd ..

#cp -f %{SOURCE4} %{SOURCE5} lib/lang

%build
%configure 
make PREFIX=/usr CC="gcc $RPM_OPT_FLAGS"

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{etc/{X11/applnk/Multimedia,pam.d,security/console.apps},usr/sbin}
make install PREFIX=/usr DESTDIR=$RPM_BUILD_ROOT

mv -f $RPM_BUILD_ROOT/usr/bin/xcdroast $RPM_BUILD_ROOT/usr/sbin/xcdroast
ln -sf consolehelper $RPM_BUILD_ROOT/usr/bin/xcdroast
cp -f %{SOURCE1} $RPM_BUILD_ROOT/etc/X11/applnk/Multimedia/
cp -f %{SOURCE2} $RPM_BUILD_ROOT/etc/pam.d/xcdroast
cp -f %{SOURCE3} $RPM_BUILD_ROOT/etc/security/console.apps/xcdroast

strip -R .comment $RPM_BUILD_ROOT/usr/sbin/xcdroast

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root)
%doc ChangeLog doc/DOCUMENTATION doc/FAQ doc/README* doc/TRANSLATION.HOWTO 
%dir /usr/lib/xcdroast-0.98
%dir /usr/lib/xcdroast-0.98/bin
%dir /usr/lib/xcdroast-0.98/icons
#%dir /usr/lib/xcdroast-0.98/lang
%dir /usr/lib/xcdroast-0.98/sound
%{_mandir}/man?/xcdroast*
%config /etc/pam.d/xcdroast
%config /etc/security/console.apps/xcdroast
/usr/bin/*
/usr/sbin/*
/usr/lib/xcdroast-0.98/*/*
#%{_datadir}/applications/*
/etc/X11/applnk/Multimedia/xcdroast.desktop
 
%changelog
* Thu Mar 11 2004 Harald Hoyer <harald@redhat.com> - 0.98a14-3.AS21.1
- built for AS2.1

* Fri Feb 13 2004 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Mon Oct 13 2003 Harald Hoyer <harald@redhat.de> 0.98a14-2
- added patches from xcdroast.org to work again 
  with the cdrtools-2.01a17 or newer.

* Tue Sep 01 2003 Harald Hoyer <harald@redhat.com> 0.98a14-1
- new version

* Wed Jun 04 2003 Elliot Lee <sopwith@redhat.com>
- rebuilt

* Wed Jan 22 2003 Tim Powers <timp@redhat.com>
- rebuilt

* Tue Jan 07 2003 Harald Hoyer <harald@redhat.com> 0.98a13-2
- removed the old patches
- point the .desktop to an icon

* Tue Jan 07 2003 Harald Hoyer <harald@redhat.com> 0.98a13-2
- --disable-nonrootmode

* Tue Jan 07 2003 Harald Hoyer <harald@redhat.com> 0.98a13-1
- bump version

* Tue Nov 12 2002 Nalin Dahyabhai <nalin@redhat.com> 0.98a9-21
- Remove absolute paths from PAM configuration, ensuring that the right set
  of modules gets used regardless of arch on multilib systems.

* Tue Oct 22 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-20
- Fix POSIX locale patch (bug #76341).

* Sun Oct 20 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-19
- Use POSIX locale for df (bug #76341).

* Tue Aug 13 2002 Havoc Pennington <hp@redhat.com> 0.98a9-18
- rebuild with new imlib soname

* Tue Aug 13 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-17
- Another go at fixing bug #70280.

* Mon Aug  5 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-16
- Convert translation files to UTF-8 (bug #70280).

* Fri Jul 26 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-15
- Use pam_timestamp.so (bug #69884).

* Tue Jul 23 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-14
- Desktop file fixes (bug #69537).

* Mon Jul 15 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-13
- Use desktop-file-install.

* Fri Jun 21 2002 Tim Powers <timp@redhat.com> 0.98a9-12
- automated rebuild

* Thu Jun 20 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-11
- Set SESSION=true in the console.apps file (bug #62369).

* Thu May 23 2002 Tim Powers <timp@redhat.com> 0.98a9-10
- automated rebuild

* Thu Apr 25 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-9
- Don't explicitly strip binaries (bug #62571).

* Mon Apr 15 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-8
- Chicken out of change to fix bug #56844.  Better solution needed.

* Wed Mar 20 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-7
- Better desktop file comment (bug #61427).

* Tue Feb 26 2002 Tim Waugh <twaugh@redhat.com> 0.98a9-6
- Rebuild in new environment.

* Thu Jan 24 2002 Karsten Hopp <karsten@redhat.de>
- Fix Requires:

* Wed Jan 09 2002 Tim Powers <timp@redhat.com>
- automated rebuild

* Thu Nov 29 2001 Tim Waugh <twaugh@redhat.com> 0.98a9-3
- Fix console.apps file (bug #56844).

* Mon Jul 30 2001 Tim Waugh <twaugh@redhat.com> 0.98a9-2
- Put .desktop file in Multimedia, not Applications (bug #50290).

* Mon Jul 23 2001 Karsten Hopp <karsten@redhat.de> 0.98a9-1
- 0.98a9
- give hint how to setup nonroot-mode (we don't ship the sgid binaries)

* Wed Jul 19 2001 Karsten Hopp <karsten@redhat.de>
- remove workaround for older GTK

* Wed Jul  4 2001 Tim Waugh <twaugh@redhat.com> 0.98a8-5
- Change Copyright: to License:.
- Change version check for cdrecord to accept 1.10 instead of 1.9.
- ... and require newer cdrecord.

* Tue Jun 19 2001 Karsten Hopp <karsten@redhat.de>
- add ExcludeArch: s390 s390x 
- add BuildRequires

* Tue May 22 2001 Karsten Hopp <karsten@redhat.de>
- fix #41802, needs some testing if cdrecord 1.10
  is compatible with 1.9

* Tue Feb 27 2001 Karsten Hopp <karsten@redhat.de>
- symlink should be relative
- fix strip

* Mon Feb 12 2001 Karsten Hopp <karsten@redhat.de>
- update to alpha8 (security bug in alpha7)
- use consolehelper
- fix bugzilla #26870

* Fri Dec 01 2000 Karsten Hopp <karsten@redhat.de>
- rebuild to fix /usr/share/doc permissions 

* Mon Nov 13 2000 Karsten Hopp <karsten@redhat.de>
- update to 0.98alpha7, which has a new menu to configure non-root mode
- added README.nonroot, README.atapi to documentation

* Thu Aug 24 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Fix interoperability with mkisofs 1.13

* Wed Aug 23 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- Update to current, this fixes the "crashes on startup" bug (#16055)
  (and the maintainer confirms the "alpha" is more stable than the lastest
  "release").

* Mon Aug  7 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- remove another insistence on Tcl 8.0

* Thu Jul 13 2000 Prospector <bugzilla@redhat.com>
- automatic rebuild

* Thu Jun 15 2000 Bill Nottingham <notting@redhat.com>
- fix dependencies

* Sun Jun 11 2000 Bill Nottingham <notting@redhat.com>
- build on ia64

* Fri Jun  9 2000 Jakub Jelinek <jakub@redhat.com>
- Remove patch for gcc 2.96 breakages, there were none
- Add patch to make et2c work with recent Tcl/Tk headers

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- get rid of the ExclusiveArch: line; it compiles on sparc and it might
  even work there...
- Exclude ia64 for now; cdrecord isn't available there.

* Thu Jun  8 2000 Bernhard Rosenkraenzer <bero@redhat.com>
- rebuild for main distribution
- fix build with TCL/Tk 8.3
- remove cdrecord and mkisofs from the package, add
  dependencies on the cdrecord and mkisofs packages instead
- fix up the code to find cdrecord where it belongs.
- put man pages in FHS locations
- fix build with kernel 2.4 headers
- work around gcc 2.96 breakages

* Sun May 28 2000 Ngo Than <than@redhat.de>
- rebuild for 7.0
- put man page in correct place
- fix xcdroast to build with tcltk8.2
- add cdrecord-1.8 in xcdroast

* Tue Apr 04 2000 Ngo Than <than@redhat.de>
- include needed devices in the package (Bug #9997)

* Fri Feb 11 2000 Ngo Than <than@redhat.de>
- fix Bug 8564 and 8563

* Mon Jul 26 1999 Tim Powers <timp@redhat.com>
- rebuilt for 6.1

* Wed Apr 15 1999 Michael Maher <mike@redhat.com>
- built package for 6.0
- updated source

* Tue Oct 13 1998 Michael Maher <mike@redhat.com>
- rushed by wanger.. not updated

* Wed May 20 1998 Michael Maher <mike@redhat.com>
- built and updated package
- added changelog
- edited paths  
